%define name	mugshot 
%define version	1.1.13
%define release	%mkrel 3

Name:		%{name}
Version:	%{version} 
Release:	%{release}
Summary:	Companion software for mugshot.org

Group:		Networking/WWW
License:	GPL
URL:		http://mugshot.org/
Source0:	%http://download.mugshot.org/client/sources/linux/%{name}-%{version}.tar.bz2
# http://bugzilla.mugshot.org/show_bug.cgi?id=793
Patch: mugshot-1.1.13-muine.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	glib2-devel >= 2.6
BuildRequires:	gtk2-devel >= 2.6
BuildRequires:	loudmouth-devel >= 1.0.3-3
BuildRequires:	dbus-glib-devel >= 0.61
BuildRequires:	curl-devel >= 7.15
BuildRequires:	libGConf2-devel >= 2.8
BuildRequires:	libxscrnsaver-devel
BuildRequires:	autoconf2.5

%description
Mugshot works with the server at mugshot.org to extend 
the panel, web browser, music player and other parts of the desktop with 
a "live social experience." It's fun and easy.


%prep
%setup -q 
%patch -p1 -b .muine

%build
%configure2_5x
%make 

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas mugshot-uri-handler
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas mugshot-uri-handler

%postun
%clean_icon_cache hicolor

%files
%defattr(-,root,root,-)
%{_bindir}/mugshot
%{_bindir}/mugshot-uri-handler
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/16x16/apps/*.gif
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/24x24/apps/*.gif
%{_datadir}/icons/hicolor/32x32/apps/*.gif
%{_datadir}/icons/hicolor/48x48/apps/*.gif
%{_datadir}/icons/hicolor/128x128/apps/*.png
%{_datadir}/mugshot
%{_datadir}/gnome/autostart/mugshot.desktop
%{_sysconfdir}/gconf/schemas/mugshot-uri-handler.schemas

%changelog
* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-3mdv2007.0
- patch to add muine support

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-2mdv2007.0
- fix buildrequires

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-1mdv2007.0
- new version

* Fri Jul 14 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.8-1mdv2007.0
- Package from Reinout van Schouwen <reinouts@gnome.org>
- Use autoconf 2.5
- Fix BuildRequires
- Use macros in scriptlets and missing preun
- Remove duplicate source
- First Mandriva version

* Tue Jul 11 2006 Reinout van Schouwen <reinouts@gnome.org> - 1.1.7-1mdv
- Mandriva Cooker build

* Tue Jul 11 2006 Havoc Pennington <hp@redhat.com> - 1.1.7-1
- 1.1.7

* Wed Jun 28 2006 Havoc Pennington <hp@redhat.com> - 1.1.6-1
- 1.1.6

* Fri Jun  9 2006 Havoc Pennington <hp@redhat.com> - 1.1.5-1
- 1.1.5

* Mon May 29 2006 Havoc Pennington <hp@redhat.com> - 1.1.3-1
- 1.1.3

* Sat May 27 2006 Havoc Pennington <hp@redhat.com> - 1.1.2-2
- add requirement on patched loudmouth

* Fri May 26 2006 Havoc Pennington <hp@redhat.com> - 1.1.2-1
- 1.1.2

* Mon May 22 2006 Havoc Pennington <hp@redhat.com> - 1.1.1-1
- 1.1.1

* Mon May 22 2006 Havoc Pennington <hp@redhat.com> - 1.1.0-1
- Initial package

